import type { PropType } from 'vue';
type AnchorItemProps = {
    [key: string]: any;
    text: string;
    value: string;
};
export declare const Anchor: import("vue").DefineComponent<{
    offset: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    scrollTarget: {
        type: PropType<string | HTMLElement>;
    };
    /**
     * @zh 激活时的颜色
     */
    activeColor: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 锚点项
     */
    items: PropType<AnchorItemProps[]>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    offset: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    scrollTarget: {
        type: PropType<string | HTMLElement>;
    };
    /**
     * @zh 激活时的颜色
     */
    activeColor: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 锚点项
     */
    items: PropType<AnchorItemProps[]>;
}>>, {
    offset: string | number;
    activeColor: string;
}>;
export type Anchor = InstanceType<typeof Anchor>;
export {};
