export type Badge = InstanceType<typeof Badge>;
export declare const Badge: import("vue").DefineComponent<{
    transition: Omit<{
        type: import("vue").PropType<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })>;
        default: string;
        validator: (val: unknown) => boolean;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })> | {
            component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                mode: string;
                group: boolean;
                hideOnLeave: boolean;
                leaveAbsolute: boolean;
                origin: string;
            }>;
        }>;
        default: NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })> | {
            component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                mode: string;
                group: boolean;
                hideOnLeave: boolean;
                leaveAbsolute: boolean;
                origin: string;
            }>;
        };
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    shape: {
        type: import("vue").PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    };
    /**
     * @zh 标记是否存在边框
     */
    bordered: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @zh 标记的颜色
     */
    color: StringConstructor;
    /**
     * @zh 标记的内容
     */
    content: (StringConstructor | NumberConstructor)[];
    /**
     * @zh 标记是否显示为点
     */
    dot: BooleanConstructor;
    /**
     * @zh 是否为浮动的标记
     */
    floating: BooleanConstructor;
    /**
     * @zh 标记的图标
     */
    icon: (StringConstructor | ObjectConstructor)[];
    /**
     * @zh 是否为内联的标记
     */
    inline: BooleanConstructor;
    /**
     * @zh 标记的位置
     */
    location: {
        type: StringConstructor;
        default: string;
        validator: (value: string) => boolean;
    };
    /**
     * @zh 标记的数量最大值
     */
    max: (StringConstructor | NumberConstructor)[];
    /**
     * @zh 标记的数量
     */
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @zh 标记的 X 偏移值
     */
    offsetX: (StringConstructor | NumberConstructor)[];
    /**
     * @zh 标记的 Y 偏移值
     */
    offsetY: (StringConstructor | NumberConstructor)[];
    /**
     * @zh 标记的文本颜色
     */
    textColor: StringConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    transition: Omit<{
        type: import("vue").PropType<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })>;
        default: string;
        validator: (val: unknown) => boolean;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })> | {
            component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                mode: string;
                group: boolean;
                hideOnLeave: boolean;
                leaveAbsolute: boolean;
                origin: string;
            }>;
        }>;
        default: NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })> | {
            component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                hideOnLeave: BooleanConstructor;
                leaveAbsolute: BooleanConstructor;
                mode: {
                    type: StringConstructor;
                    default: string | undefined;
                };
                origin: {
                    type: StringConstructor;
                    default: string;
                };
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                mode: string;
                group: boolean;
                hideOnLeave: boolean;
                leaveAbsolute: boolean;
                origin: string;
            }>;
        };
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    shape: {
        type: import("vue").PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    };
    /**
     * @zh 标记是否存在边框
     */
    bordered: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @zh 标记的颜色
     */
    color: StringConstructor;
    /**
     * @zh 标记的内容
     */
    content: (StringConstructor | NumberConstructor)[];
    /**
     * @zh 标记是否显示为点
     */
    dot: BooleanConstructor;
    /**
     * @zh 是否为浮动的标记
     */
    floating: BooleanConstructor;
    /**
     * @zh 标记的图标
     */
    icon: (StringConstructor | ObjectConstructor)[];
    /**
     * @zh 是否为内联的标记
     */
    inline: BooleanConstructor;
    /**
     * @zh 标记的位置
     */
    location: {
        type: StringConstructor;
        default: string;
        validator: (value: string) => boolean;
    };
    /**
     * @zh 标记的数量最大值
     */
    max: (StringConstructor | NumberConstructor)[];
    /**
     * @zh 标记的数量
     */
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @zh 标记的 X 偏移值
     */
    offsetX: (StringConstructor | NumberConstructor)[];
    /**
     * @zh 标记的 Y 偏移值
     */
    offsetY: (StringConstructor | NumberConstructor)[];
    /**
     * @zh 标记的文本颜色
     */
    textColor: StringConstructor;
}>>, {
    transition: NonNullable<string | false | (import("vue").TransitionProps & {
        component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
    })> | {
        component: import("vue").DefineComponent<{
            group: BooleanConstructor;
            hideOnLeave: BooleanConstructor;
            leaveAbsolute: BooleanConstructor;
            mode: {
                type: StringConstructor;
                default: string | undefined;
            };
            origin: {
                type: StringConstructor;
                default: string;
            };
            onBeforeEnter: FunctionConstructor;
            onLeave: FunctionConstructor;
            onAfterLeave: FunctionConstructor;
        }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
            group: BooleanConstructor;
            hideOnLeave: BooleanConstructor;
            leaveAbsolute: BooleanConstructor;
            mode: {
                type: StringConstructor;
                default: string | undefined;
            };
            origin: {
                type: StringConstructor;
                default: string;
            };
            onBeforeEnter: FunctionConstructor;
            onLeave: FunctionConstructor;
            onAfterLeave: FunctionConstructor;
        }>>, {
            mode: string;
            group: boolean;
            hideOnLeave: boolean;
            leaveAbsolute: boolean;
            origin: string;
        }>;
    };
    location: string;
    tag: string;
    shape: "circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill";
    inline: boolean;
    dot: boolean;
    modelValue: boolean;
    bordered: boolean;
    floating: boolean;
}>;
