import { createVNode as _createVNode } from "vue";
import "./styles/carousel-activator.css";
import { genericComponent } from "../../utils";
const CarouselActivator = genericComponent()({
  name: "VeCarouselActivator",
  props: {
    // TODO variant: 'dot' | 'line' | 'slider'
    active: Boolean
  },
  setup(props) {
    return () => _createVNode("div", {
      "class": ["ve-carousel-activator", {
        "ve-carousel-activator--active": props.active
      }]
    }, null);
  }
});
export {
  CarouselActivator
};
//# sourceMappingURL=carousel-activator.mjs.map
