import type { PropType } from 'vue';
export type FormItemProps = {
    [key: string]: any;
    $type?: 'input' | 'textarea' | 'select' | 'switch' | 'date-picker' | 'checkbox' | 'radio';
};
export type InternalFormItemProps = {
    type?: FormItemProps['$type'];
    props?: Record<string, any>;
};
export declare const FormChildren: import("vue").DefineComponent<{
    /**
     * @zh 数据驱动的表单列表项
     */
    items: PropType<FormItemProps[]>;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[], unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * @zh 数据驱动的表单列表项
     */
    items: PropType<FormItemProps[]>;
}>>, {}>;
export type FormChildren = InstanceType<typeof FormChildren>;
