export declare const makeColProps: <Defaults extends {
    alignSelf?: unknown;
    order?: unknown;
    offset?: unknown;
    cols?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    alignSelf: unknown extends Defaults["alignSelf"] ? {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    } : Omit<{
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    }, "type" | "default"> & {
        type: import("vue").PropType<unknown extends Defaults["alignSelf"] ? string : string | Defaults["alignSelf"]>;
        default: unknown extends Defaults["alignSelf"] ? string : string | Defaults["alignSelf"];
    };
    order: unknown extends Defaults["order"] ? {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    } : Omit<{
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    }, "type" | "default"> & {
        type: import("vue").PropType<unknown extends Defaults["order"] ? string | number : NonNullable<string | number> | Defaults["order"]>;
        default: unknown extends Defaults["order"] ? string | number : NonNullable<string | number> | Defaults["order"];
    };
    offset: unknown extends Defaults["offset"] ? {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    } : Omit<{
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    }, "type" | "default"> & {
        type: import("vue").PropType<unknown extends Defaults["offset"] ? string | number : NonNullable<string | number> | Defaults["offset"]>;
        default: unknown extends Defaults["offset"] ? string | number : NonNullable<string | number> | Defaults["offset"];
    };
    cols: unknown extends Defaults["cols"] ? {
        type: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        default: boolean;
    } : Omit<{
        type: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        default: boolean;
    }, "type" | "default"> & {
        type: import("vue").PropType<unknown extends Defaults["cols"] ? string | number | boolean : NonNullable<string | number | boolean> | Defaults["cols"]>;
        default: unknown extends Defaults["cols"] ? string | number | boolean : NonNullable<string | number | boolean> | Defaults["cols"];
    };
};
export type Col = InstanceType<typeof Col>;
export declare const Col: import("vue").DefineComponent<{
    alignSelf: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    order: {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    };
    offset: {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    };
    cols: {
        type: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    alignSelf: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    order: {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    };
    offset: {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    };
    cols: {
        type: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    tag: string;
    alignSelf: string;
    offset: string | number;
    order: string | number;
    cols: string | number | boolean;
}>;
