import { createVNode as _createVNode } from "vue";
import { defineComponent } from "../../utils";
import { Button } from "../../components/button";
const HeaderNavIcon = defineComponent({
  name: "VeHeaderNavIcon",
  props: {
    icon: {
      type: String,
      default: "$menu"
    }
  },
  setup(props, {
    slots
  }) {
    return () => _createVNode(Button, {
      "class": "ve-header-nav-icon",
      "icon": props.icon
    }, slots);
  }
});
export {
  HeaderNavIcon
};
//# sourceMappingURL=header-nav-icon.mjs.map
