import { createVNode as _createVNode } from "vue";
import { defineComponent } from "../../utils";
import { makeIconSetProps } from "../../composables/icon/make-icon-props";
const IconClass = defineComponent({
  name: "VeIconClass",
  props: makeIconSetProps(),
  setup(props) {
    return () => {
      return _createVNode(props.tag, {
        "class": props.icon
      }, null);
    };
  }
});
export {
  IconClass
};
//# sourceMappingURL=icon-class.mjs.map
