export type LayoutItem = InstanceType<typeof LayoutItem>;
export declare const LayoutItem: import("vue").DefineComponent<{
    modelValue: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    name: StringConstructor;
    position: {
        type: import("vue").PropType<"fixed" | "absolute">;
        default: string;
    };
    anchor: {
        type: import("vue").PropType<"bottom" | "left" | "right" | "top">;
        default: string;
    };
    priority: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    size: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    name: StringConstructor;
    position: {
        type: import("vue").PropType<"fixed" | "absolute">;
        default: string;
    };
    anchor: {
        type: import("vue").PropType<"bottom" | "left" | "right" | "top">;
        default: string;
    };
    priority: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    size: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
}>>, {
    anchor: "bottom" | "left" | "right" | "top";
    tag: string;
    position: "fixed" | "absolute";
    size: string | number;
    modelValue: boolean | undefined;
    priority: string | number;
}>;
