import type { PropType } from 'vue';
export interface RadioGroupItemProps {
    value: any;
    [key: string]: any;
}
export declare const RadioGroup: import("vue").DefineComponent<{
    density: {
        type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
        default: string;
        validator: (v: any) => boolean;
    };
    size: {
        type: PropType<import("../../composables/size").Size | undefined>;
        default: string;
    };
    id: StringConstructor;
    inline: BooleanConstructor;
    name: StringConstructor;
    falseIcon: {
        type: PropType<string>;
        default: string;
    };
    trueIcon: {
        type: PropType<string>;
        default: string;
    };
    multiple: {
        type: PropType<boolean | null>;
        default: null;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
    type: {
        type: PropType<string>;
        default: string;
    };
    modelValue: null;
    /**
     * @zh 单选组的所有可选项
     */
    items: PropType<(string | RadioGroupItemProps)[]>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (_modelValue: any) => boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    density: {
        type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
        default: string;
        validator: (v: any) => boolean;
    };
    size: {
        type: PropType<import("../../composables/size").Size | undefined>;
        default: string;
    };
    id: StringConstructor;
    inline: BooleanConstructor;
    name: StringConstructor;
    falseIcon: {
        type: PropType<string>;
        default: string;
    };
    trueIcon: {
        type: PropType<string>;
        default: string;
    };
    multiple: {
        type: PropType<boolean | null>;
        default: null;
    };
    disabled: BooleanConstructor;
    readonly: BooleanConstructor;
    type: {
        type: PropType<string>;
        default: string;
    };
    modelValue: null;
    /**
     * @zh 单选组的所有可选项
     */
    items: PropType<(string | RadioGroupItemProps)[]>;
}>> & {
    "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
}, {
    type: string;
    disabled: boolean;
    size: import("../../composables/size").Size | undefined;
    density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
    inline: boolean;
    multiple: boolean | null;
    readonly: boolean;
    falseIcon: string;
    trueIcon: string;
}>;
