import type { PropType } from 'vue';
export declare const TableTh: import("vue").DefineComponent<{
    /**
     * @zh 可排序
     */
    sortable: BooleanConstructor;
    /**
     * @zh 倒序是否倒序
     */
    sortDesc: PropType<boolean | undefined>;
    /**
     * @zh 排序的图标
     */
    sortIcon: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 排序激活时的颜色
     */
    sortActiveColor: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 过滤器的图标
     */
    filterIcon: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 过滤器
     */
    filters: {
        type: ArrayConstructor;
        default: () => never[];
    };
    /**
     * @zh 固定方式
     */
    fixed: PropType<false | "end" | "start">;
    /**
     * @zh 对齐方式
     */
    align: {
        type: PropType<boolean | "end" | "center" | "start">;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * @zh 可排序
     */
    sortable: BooleanConstructor;
    /**
     * @zh 倒序是否倒序
     */
    sortDesc: PropType<boolean | undefined>;
    /**
     * @zh 排序的图标
     */
    sortIcon: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 排序激活时的颜色
     */
    sortActiveColor: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 过滤器的图标
     */
    filterIcon: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 过滤器
     */
    filters: {
        type: ArrayConstructor;
        default: () => never[];
    };
    /**
     * @zh 固定方式
     */
    fixed: PropType<false | "end" | "start">;
    /**
     * @zh 对齐方式
     */
    align: {
        type: PropType<boolean | "end" | "center" | "start">;
        default: string;
    };
}>>, {
    filters: unknown[];
    align: boolean | "end" | "center" | "start";
    sortable: boolean;
    sortIcon: string;
    sortActiveColor: string;
    filterIcon: string;
}>;
export declare function filterTableThProps(attrs: Record<string, unknown>): [yes: Partial<Pick<Record<string, unknown>, string>>, no: Omit<Record<string, unknown>, string>];
export type TableTh = InstanceType<typeof TableTh>;
