import { createVNode as _createVNode } from "vue";
import { genericComponent } from "../../utils";
import { Input } from "../input";
import { InputEmits, makeInputProps } from "../input/input";
const Textarea = genericComponent()({
  name: "Textarea",
  props: makeInputProps({
    type: "textarea"
  }),
  emit: InputEmits,
  setup(props) {
    return () => {
      return _createVNode(Input, props, null);
    };
  }
});
export {
  Textarea
};
//# sourceMappingURL=textarea.mjs.map
