import type { Prop } from 'vue';
export declare function createCssTransition(name: string, origin?: string, mode?: string): import("vue").DefineComponent<{
    group: BooleanConstructor;
    hideOnLeave: BooleanConstructor;
    leaveAbsolute: BooleanConstructor;
    mode: {
        type: StringConstructor;
        default: string | undefined;
    };
    origin: {
        type: StringConstructor;
        default: string;
    };
    onBeforeEnter: FunctionConstructor;
    onLeave: FunctionConstructor;
    onAfterLeave: FunctionConstructor;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    group: BooleanConstructor;
    hideOnLeave: BooleanConstructor;
    leaveAbsolute: BooleanConstructor;
    mode: {
        type: StringConstructor;
        default: string | undefined;
    };
    origin: {
        type: StringConstructor;
        default: string;
    };
    onBeforeEnter: FunctionConstructor;
    onLeave: FunctionConstructor;
    onAfterLeave: FunctionConstructor;
}>>, {
    mode: string;
    group: boolean;
    hideOnLeave: boolean;
    leaveAbsolute: boolean;
    origin: string;
}>;
export declare function createJavascriptTransition(name: string, functions: Record<string, any>, mode?: string): import("vue").DefineComponent<{
    group: BooleanConstructor;
    mode: Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
    onBeforeEnter: FunctionConstructor;
    onLeave: FunctionConstructor;
    onAfterLeave: FunctionConstructor;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    group: BooleanConstructor;
    mode: Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
    onBeforeEnter: FunctionConstructor;
    onLeave: FunctionConstructor;
    onAfterLeave: FunctionConstructor;
}>>, {
    group: boolean;
}>;
