import type { MaybeRef } from '@veno-ui/utils';
export interface DisabledProps {
    disabled?: boolean;
}
export declare const makeDisabledProps: <Defaults extends {
    disabled?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    disabled: unknown extends Defaults["disabled"] ? BooleanConstructor : {
        type: import("vue").PropType<unknown extends Defaults["disabled"] ? boolean : boolean | Defaults["disabled"]>;
        default: unknown extends Defaults["disabled"] ? boolean : boolean | Defaults["disabled"];
    };
};
export declare function useDisabled(props: MaybeRef<DisabledProps>, name?: string): {
    disabledClasses: import("vue").ComputedRef<{
        [x: string]: boolean | undefined;
    }>;
};
