import type { ExtractPropTypes } from 'vue';
import type { MaybeRef } from '@veno-ui/utils';
export type ElevationProps = ExtractPropTypes<ReturnType<typeof makeElevationProps>>;
export declare const makeElevationProps: <Defaults extends {
    elevation?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    elevation: unknown extends Defaults["elevation"] ? {
        type: (StringConstructor | NumberConstructor)[];
        validator(v: any): boolean;
    } : Omit<{
        type: (StringConstructor | NumberConstructor)[];
        validator(v: any): boolean;
    }, "type" | "default"> & {
        type: import("vue").PropType<unknown extends Defaults["elevation"] ? string | number : NonNullable<string | number> | Defaults["elevation"]>;
        default: unknown extends Defaults["elevation"] ? string | number : NonNullable<string | number> | Defaults["elevation"];
    };
};
export declare function useElevation(props: MaybeRef<ElevationProps>, name?: string): {
    elevationClasses: import("vue").ComputedRef<string[]>;
};
