import { propsFactory } from "@veno-ui/utils";
const makeIconProps = propsFactory({
  /**
   * @zh 图标值
   */
  icon: [String, Object, Function],
  /**
   * @zh 指定在根元素上使用的自定义标签
   */
  tag: {
    type: String,
    default: "i"
  }
}, "icon");
const makeIconSetProps = propsFactory({
  /**
   * @zh 图标值
   */
  icon: {
    type: [String, Object, Function],
    required: true
  },
  /**
   * @zh 指定在根元素上使用的自定义标签
   */
  tag: {
    type: String,
    required: true
  }
}, "icon-set");
export {
  makeIconProps,
  makeIconSetProps
};
//# sourceMappingURL=make-icon-props.mjs.map
