import { computed } from "vue";
import { getCurrentInstanceName, propsFactory } from "@veno-ui/utils";
const makeLoadingProps = propsFactory({
  loading: Boolean
}, "loading");
function useLoading(props, name = getCurrentInstanceName()) {
  return {
    loadingClasses: computed(() => ({
      [`${name}--loading`]: props.loading
    }))
  };
}
export {
  makeLoadingProps,
  useLoading
};
//# sourceMappingURL=index.mjs.map
