import type { ExtractPropTypes } from 'vue';
export declare const makeScrollbar: <Defaults extends {
    beautifyScrollbar?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    beautifyScrollbar: unknown extends Defaults["beautifyScrollbar"] ? {
        type: BooleanConstructor;
        default: boolean;
    } : Omit<{
        type: BooleanConstructor;
        default: boolean;
    }, "type" | "default"> & {
        type: import("vue").PropType<unknown extends Defaults["beautifyScrollbar"] ? boolean : boolean | Defaults["beautifyScrollbar"]>;
        default: unknown extends Defaults["beautifyScrollbar"] ? boolean : boolean | Defaults["beautifyScrollbar"];
    };
};
export declare function useScrollbar(props: ExtractPropTypes<ReturnType<typeof makeScrollbar>>, name?: string): {
    scrollbarClasses: import("vue").ComputedRef<string | null>;
};
