export declare const Checkbox: import("vue").DefineComponent<{
    density: {
        type: import("vue").PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
        default: string;
        validator: (v: any) => boolean;
    };
    size: {
        type: import("vue").PropType<import("../../composables/size").Size | undefined>;
        default: string;
    };
    theme: StringConstructor;
    color: {
        type: import("vue").PropType<string>;
        default: string;
    };
    disabled: BooleanConstructor;
    error: BooleanConstructor;
    id: StringConstructor;
    inline: BooleanConstructor;
    label: StringConstructor;
    falseIcon: {
        type: import("vue").PropType<string>;
        default: string;
    };
    trueIcon: {
        type: import("vue").PropType<string>;
        default: string;
    };
    multiple: {
        type: import("vue").PropType<boolean | null>;
        default: null;
    };
    name: StringConstructor;
    readonly: BooleanConstructor;
    trueValue: null;
    falseValue: null;
    modelValue: null;
    type: {
        type: import("vue").PropType<string>;
        default: string;
    };
    value: null;
    valueComparator: {
        type: import("vue").PropType<typeof import("@veno-ui/utils").deepEqual>;
        default: typeof import("@veno-ui/utils").deepEqual;
    };
    /**
     * @zh 不确定的
     */
    indeterminate: BooleanConstructor;
    /**
     * @zh 不确定的图标
     */
    indeterminateIcon: {
        type: StringConstructor;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (_val: any) => true;
    'update:indeterminate': (_val: boolean) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    density: {
        type: import("vue").PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
        default: string;
        validator: (v: any) => boolean;
    };
    size: {
        type: import("vue").PropType<import("../../composables/size").Size | undefined>;
        default: string;
    };
    theme: StringConstructor;
    color: {
        type: import("vue").PropType<string>;
        default: string;
    };
    disabled: BooleanConstructor;
    error: BooleanConstructor;
    id: StringConstructor;
    inline: BooleanConstructor;
    label: StringConstructor;
    falseIcon: {
        type: import("vue").PropType<string>;
        default: string;
    };
    trueIcon: {
        type: import("vue").PropType<string>;
        default: string;
    };
    multiple: {
        type: import("vue").PropType<boolean | null>;
        default: null;
    };
    name: StringConstructor;
    readonly: BooleanConstructor;
    trueValue: null;
    falseValue: null;
    modelValue: null;
    type: {
        type: import("vue").PropType<string>;
        default: string;
    };
    value: null;
    valueComparator: {
        type: import("vue").PropType<typeof import("@veno-ui/utils").deepEqual>;
        default: typeof import("@veno-ui/utils").deepEqual;
    };
    /**
     * @zh 不确定的
     */
    indeterminate: BooleanConstructor;
    /**
     * @zh 不确定的图标
     */
    indeterminateIcon: {
        type: StringConstructor;
        default: string;
    };
}>> & {
    "onUpdate:modelValue"?: ((_val: any) => any) | undefined;
    "onUpdate:indeterminate"?: ((_val: boolean) => any) | undefined;
}, {
    error: boolean;
    type: string;
    disabled: boolean;
    color: string;
    size: import("../../composables/size").Size | undefined;
    density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
    inline: boolean;
    multiple: boolean | null;
    indeterminate: boolean;
    readonly: boolean;
    falseIcon: string;
    trueIcon: string;
    valueComparator: typeof import("@veno-ui/utils").deepEqual;
    indeterminateIcon: string;
}>;
