import type { PropType } from 'vue';
export declare const Code: import("vue").DefineComponent<{
    beautifyScrollbar: {
        type: BooleanConstructor;
        default: boolean;
    };
    shape: {
        type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    };
    theme: StringConstructor;
    /**
     * @zh 需要高亮的代码
     */
    code: (StringConstructor | ObjectConstructor)[];
    /**
     * @zh 背景颜色
     */
    color: StringConstructor;
    /**
     * @zh 显示代码语言
     */
    showLanguage: BooleanConstructor;
    /**
     * @zh 显示行号
     */
    showLineNumbers: BooleanConstructor;
    /**
     * @zh 高亮的行号
     */
    highlightedLineNumbers: PropType<number[] | number[][]>;
    /**
     * @zh 使用行内样式
     */
    inline: BooleanConstructor;
    /**
     * @zh 代码语言
     */
    language: {
        type: StringConstructor;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    beautifyScrollbar: {
        type: BooleanConstructor;
        default: boolean;
    };
    shape: {
        type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    };
    theme: StringConstructor;
    /**
     * @zh 需要高亮的代码
     */
    code: (StringConstructor | ObjectConstructor)[];
    /**
     * @zh 背景颜色
     */
    color: StringConstructor;
    /**
     * @zh 显示代码语言
     */
    showLanguage: BooleanConstructor;
    /**
     * @zh 显示行号
     */
    showLineNumbers: BooleanConstructor;
    /**
     * @zh 高亮的行号
     */
    highlightedLineNumbers: PropType<number[] | number[][]>;
    /**
     * @zh 使用行内样式
     */
    inline: BooleanConstructor;
    /**
     * @zh 代码语言
     */
    language: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    shape: "circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill";
    inline: boolean;
    beautifyScrollbar: boolean;
    showLanguage: boolean;
    showLineNumbers: boolean;
    language: string;
}>;
