export declare const Drawer: import("vue").DefineComponent<{
    modelValue: Omit<{
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<boolean | undefined> | null>;
        default: NonNullable<boolean | undefined> | null;
    };
    name: StringConstructor;
    position: Omit<{
        type: import("vue").PropType<"fixed" | "absolute">;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<"fixed" | "absolute">>;
        default: NonNullable<"fixed" | "absolute">;
    };
    anchor: Omit<{
        type: import("vue").PropType<"bottom" | "left" | "right" | "top">;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<"bottom" | "left" | "right" | "top">>;
        default: NonNullable<"bottom" | "left" | "right" | "top">;
    };
    priority: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    theme: StringConstructor;
    beautifyScrollbar: {
        type: BooleanConstructor;
        default: boolean;
    };
    tag: Omit<{
        type: StringConstructor;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<string>;
        default: string;
    };
    /**
     * @zh 禁用大小调整监听
     */
    disableResizeWatcher: BooleanConstructor;
    /**
     * @zh 禁用路由监听
     */
    disableRouteWatcher: BooleanConstructor;
    /**
     * @zh 背景颜色
     */
    color: StringConstructor;
    /**
     * @zh 悬停时展开
     */
    expandOnHover: BooleanConstructor;
    /**
     * @zh 持续激活
     */
    permanent: BooleanConstructor;
    /**
     * @zh 最小化
     */
    rail: BooleanConstructor;
    /**
     * @zh 最小化宽度
     */
    railWidth: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    /**
     * @zh 显示激活/隐藏按钮
     */
    showToggler: BooleanConstructor;
    /**
     * @zh 临时抽屉
     */
    temporary: BooleanConstructor;
    /**
     * @zh 可触摸
     */
    touchless: BooleanConstructor;
    /**
     * @zh 宽度
     */
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (_modelValue: boolean) => boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: Omit<{
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<boolean | undefined> | null>;
        default: NonNullable<boolean | undefined> | null;
    };
    name: StringConstructor;
    position: Omit<{
        type: import("vue").PropType<"fixed" | "absolute">;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<"fixed" | "absolute">>;
        default: NonNullable<"fixed" | "absolute">;
    };
    anchor: Omit<{
        type: import("vue").PropType<"bottom" | "left" | "right" | "top">;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<"bottom" | "left" | "right" | "top">>;
        default: NonNullable<"bottom" | "left" | "right" | "top">;
    };
    priority: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    theme: StringConstructor;
    beautifyScrollbar: {
        type: BooleanConstructor;
        default: boolean;
    };
    tag: Omit<{
        type: StringConstructor;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<string>;
        default: string;
    };
    /**
     * @zh 禁用大小调整监听
     */
    disableResizeWatcher: BooleanConstructor;
    /**
     * @zh 禁用路由监听
     */
    disableRouteWatcher: BooleanConstructor;
    /**
     * @zh 背景颜色
     */
    color: StringConstructor;
    /**
     * @zh 悬停时展开
     */
    expandOnHover: BooleanConstructor;
    /**
     * @zh 持续激活
     */
    permanent: BooleanConstructor;
    /**
     * @zh 最小化
     */
    rail: BooleanConstructor;
    /**
     * @zh 最小化宽度
     */
    railWidth: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    /**
     * @zh 显示激活/隐藏按钮
     */
    showToggler: BooleanConstructor;
    /**
     * @zh 临时抽屉
     */
    temporary: BooleanConstructor;
    /**
     * @zh 可触摸
     */
    touchless: BooleanConstructor;
    /**
     * @zh 宽度
     */
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
}>> & {
    "onUpdate:modelValue"?: ((_modelValue: boolean) => any) | undefined;
}, {
    anchor: NonNullable<"bottom" | "left" | "right" | "top">;
    tag: string;
    position: NonNullable<"fixed" | "absolute">;
    width: string | number;
    modelValue: NonNullable<boolean | undefined> | null;
    priority: string | number;
    beautifyScrollbar: boolean;
    touchless: boolean;
    disableResizeWatcher: boolean;
    disableRouteWatcher: boolean;
    expandOnHover: boolean;
    permanent: boolean;
    rail: boolean;
    railWidth: string | number;
    showToggler: boolean;
    temporary: boolean;
}>;
export type Drawer = InstanceType<typeof Drawer>;
