import type { Ref } from 'vue';
export declare function useTouch({ isActive, isTemporary, width, touchless, position }: {
    isActive: Ref<boolean>;
    isTemporary: Ref<boolean>;
    width: Ref<number>;
    touchless: Ref<boolean>;
    position: Ref<'left' | 'right' | 'bottom'>;
}): {
    isDragging: Ref<boolean>;
    dragProgress: Ref<number>;
    dragStyles: import("vue").ComputedRef<{
        transform: string;
        transition: string;
    } | undefined>;
};
