export declare const makeRowProps: <Defaults extends {
    alignContent?: unknown;
    justify?: unknown;
    gutter?: unknown;
    align?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    alignContent: unknown extends Defaults["alignContent"] ? {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    } : Omit<{
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    }, "type" | "default"> & {
        type: import("vue").PropType<unknown extends Defaults["alignContent"] ? string : string | Defaults["alignContent"]>;
        default: unknown extends Defaults["alignContent"] ? string : string | Defaults["alignContent"];
    };
    justify: unknown extends Defaults["justify"] ? {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    } : Omit<{
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    }, "type" | "default"> & {
        type: import("vue").PropType<unknown extends Defaults["justify"] ? string : string | Defaults["justify"]>;
        default: unknown extends Defaults["justify"] ? string : string | Defaults["justify"];
    };
    gutter: unknown extends Defaults["gutter"] ? {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    } : Omit<{
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<unknown extends Defaults["gutter"] ? string | number : NonNullable<string | number> | Defaults["gutter"]>;
        default: unknown extends Defaults["gutter"] ? string | number : NonNullable<string | number> | Defaults["gutter"];
    };
    align: unknown extends Defaults["align"] ? {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    } : Omit<{
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    }, "type" | "default"> & {
        type: import("vue").PropType<unknown extends Defaults["align"] ? string : string | Defaults["align"]>;
        default: unknown extends Defaults["align"] ? string : string | Defaults["align"];
    };
};
export type Row = InstanceType<typeof Row>;
export declare const Row: import("vue").DefineComponent<{
    alignContent: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    justify: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    gutter: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    align: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    alignContent: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    justify: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    gutter: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    align: {
        type: StringConstructor;
        default: null;
        validator: (str: any) => boolean;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    tag: string;
    justify: string;
    alignContent: string;
    align: string;
    gutter: string | number;
}>;
