export type Header = InstanceType<typeof Header>;
export declare const Header: import("vue").DefineComponent<{
    modelValue: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    name: StringConstructor;
    position: Omit<{
        type: import("vue").PropType<"fixed" | "absolute">;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<"fixed" | "absolute">>;
        default: NonNullable<"fixed" | "absolute">;
    };
    anchor: Omit<{
        type: import("vue").PropType<"bottom" | "left" | "right" | "top">;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<"bottom" | "left" | "right" | "top">>;
        default: NonNullable<"bottom" | "left" | "right" | "top">;
    };
    priority: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    elevation: {
        type: (StringConstructor | NumberConstructor)[];
        validator(v: any): boolean;
    };
    shape: {
        type: import("vue").PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    };
    border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    density: {
        type: import("vue").PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
        default: string;
        validator: (v: any) => boolean;
    };
    size: {
        type: import("vue").PropType<import("../../composables/size").Size | undefined>;
        default: string;
    };
    height: {
        type: import("vue").PropType<NonNullable<string | number>>;
        default: NonNullable<string | number>;
    };
    maxHeight: (StringConstructor | NumberConstructor)[];
    maxWidth: (StringConstructor | NumberConstructor)[];
    minHeight: (StringConstructor | NumberConstructor)[];
    minWidth: (StringConstructor | NumberConstructor)[];
    width: (StringConstructor | NumberConstructor)[];
    absolute: BooleanConstructor;
    bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    fixed: BooleanConstructor;
    left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    color: StringConstructor;
    textColor: StringConstructor;
    variant: {
        type: import("vue").PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean;
    };
    theme: StringConstructor;
    tag: Omit<{
        type: StringConstructor;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<string>;
        default: string;
    };
    title: StringConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: import("vue").PropType<boolean | undefined>;
        default: boolean;
    };
    name: StringConstructor;
    position: Omit<{
        type: import("vue").PropType<"fixed" | "absolute">;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<"fixed" | "absolute">>;
        default: NonNullable<"fixed" | "absolute">;
    };
    anchor: Omit<{
        type: import("vue").PropType<"bottom" | "left" | "right" | "top">;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<"bottom" | "left" | "right" | "top">>;
        default: NonNullable<"bottom" | "left" | "right" | "top">;
    };
    priority: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    elevation: {
        type: (StringConstructor | NumberConstructor)[];
        validator(v: any): boolean;
    };
    shape: {
        type: import("vue").PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    };
    border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    density: {
        type: import("vue").PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
        default: string;
        validator: (v: any) => boolean;
    };
    size: {
        type: import("vue").PropType<import("../../composables/size").Size | undefined>;
        default: string;
    };
    height: {
        type: import("vue").PropType<NonNullable<string | number>>;
        default: NonNullable<string | number>;
    };
    maxHeight: (StringConstructor | NumberConstructor)[];
    maxWidth: (StringConstructor | NumberConstructor)[];
    minHeight: (StringConstructor | NumberConstructor)[];
    minWidth: (StringConstructor | NumberConstructor)[];
    width: (StringConstructor | NumberConstructor)[];
    absolute: BooleanConstructor;
    bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    fixed: BooleanConstructor;
    left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    color: StringConstructor;
    textColor: StringConstructor;
    variant: {
        type: import("vue").PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean;
    };
    theme: StringConstructor;
    tag: Omit<{
        type: StringConstructor;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<string>;
        default: string;
    };
    title: StringConstructor;
}>>, {
    anchor: NonNullable<"bottom" | "left" | "right" | "top">;
    fixed: boolean;
    tag: string;
    variant: "contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined";
    absolute: boolean;
    position: NonNullable<"fixed" | "absolute">;
    height: NonNullable<string | number>;
    size: import("../../composables/size").Size | undefined;
    density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
    shape: "circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill";
    modelValue: boolean | undefined;
    priority: string | number;
}>;
