import { createVNode as _createVNode } from "vue";
import { defineComponent } from "../../utils";
import { makeIconSetProps } from "../../composables/icon/make-icon-props";
const IconComponent = defineComponent({
  name: "VeIconComponent",
  props: makeIconSetProps(),
  setup(props) {
    return () => {
      return _createVNode(props.tag, null, {
        default: () => [_createVNode(props.icon, {
          "role": "img",
          "aria-hidden": "true"
        }, null)]
      });
    };
  }
});
export {
  IconComponent
};
//# sourceMappingURL=icon-component.mjs.map
