import { createVNode as _createVNode } from "vue";
import { defineComponent } from "../../utils";
import { makeIconSetProps } from "../../composables/icon/make-icon-props";
const IconLigature = defineComponent({
  name: "VeIconLigature",
  props: makeIconSetProps(),
  setup(props) {
    return () => {
      return _createVNode(props.tag, null, {
        default: () => [props.icon]
      });
    };
  }
});
export {
  IconLigature
};
//# sourceMappingURL=icon-ligature.mjs.map
