import "./styles/expand-transition.css";
import { createJavascriptTransition } from "./utils/create-transition";
import { expandTransitionGenerator } from "./utils/expand-transition-generator";
const ExpandTransition = createJavascriptTransition(
  "ve-expand-transition",
  expandTransitionGenerator()
);
const ExpandXTransition = createJavascriptTransition(
  "ve-expand-x-transition",
  expandTransitionGenerator("", true)
);
export {
  ExpandTransition,
  ExpandXTransition
};
//# sourceMappingURL=expand-transition.mjs.map
