import type { ExtractPropTypes } from 'vue';
import type { MaybeRef } from '@veno-ui/utils';
export type BorderProps = ExtractPropTypes<ReturnType<typeof makeBorderProps>>;
export declare const makeBorderProps: <Defaults extends {
    border?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    border: unknown extends Defaults["border"] ? (StringConstructor | BooleanConstructor | NumberConstructor)[] : {
        type: import("vue").PropType<unknown extends Defaults["border"] ? string | number | boolean : NonNullable<string | number | boolean> | Defaults["border"]>;
        default: unknown extends Defaults["border"] ? string | number | boolean : NonNullable<string | number | boolean> | Defaults["border"];
    };
};
export declare function useBorder(props: MaybeRef<BorderProps>, name?: string): {
    borderClasses: import("vue").ComputedRef<string[]>;
};
