import * as components from "./components";
import * as directives from "./directives";
import * as providers from "./providers";
import * as utils from "./utils";
import { createVeno as _createVeno } from "./framework";
const createVeno = (options = {}) => {
  return _createVeno({ components, directives, providers, ...options });
};
export * from "./composables";
export * from "./resolver";
export {
  components,
  createVeno,
  directives,
  providers,
  utils
};
//# sourceMappingURL=entry-bundler.mjs.map
